// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "EndlessVendetta/GadgetSystem/CombatGadget.h"
#include "ExampleCombatClass.generated.h"

/**
 * 
 */
UCLASS()
class ENDLESSVENDETTA_API AExampleCombatClass : public ACombatGadget
{
	GENERATED_BODY()

	virtual void BeginPlay() override;
	
	virtual void Tick(float DeltaSeconds) override;

	virtual void Activate() override;

	virtual void FinishedUsing() override;
};
